From 9f975113564ba06a521aab33f0ab30206ab6d7c8 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Ga=C3=ABl=20PORTAY?= <gael.portay@gmail.com>
Date: Sat, 2 May 2015 16:01:13 +0200
Subject: [PATCH 22/45] Turn ChanSess's tty and term attributes into char *

---
 chansession.h     | 4 ++--
 svr-chansession.c | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/chansession.h b/chansession.h
index 3dd58ac..66f5504 100644
--- a/chansession.h
+++ b/chansession.h
@@ -45,8 +45,8 @@ struct ChanSess {
 	/* pty details */
 	int master; /* the master terminal fd*/
 	int slave;
-	unsigned char * tty;
-	unsigned char * term;
+	char * tty;
+	char * term;
 
 	/* exit details */
 	struct exitinfo exit;
diff --git a/svr-chansession.c b/svr-chansession.c
index 1bc4da7..a27c8f9 100644
--- a/svr-chansession.c
+++ b/svr-chansession.c
@@ -567,7 +567,7 @@ static int sessionpty(struct ChanSess * chansess) {
 		return DROPBEAR_FAILURE;
 	}
 
-	chansess->term = buf_getstring(ses.payload, &termlen);
+	chansess->term = (char *) buf_getstring(ses.payload, &termlen);
 	if (termlen > MAX_TERM_LEN) {
 		/* TODO send disconnect ? */
 		TRACE(("leave sessionpty: term len too long"))
@@ -583,7 +583,7 @@ static int sessionpty(struct ChanSess * chansess) {
 		return DROPBEAR_FAILURE;
 	}
 	
-	chansess->tty = (char*)m_strdup(namebuf);
+	chansess->tty = m_strdup(namebuf);
 	if (!chansess->tty) {
 		dropbear_exit("Out of memory"); /* TODO disconnect */
 	}

